Coin: SoGLVertexAttributeElement Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLVertexAttributeElement Class Reference
Element Classes

The SoGLVertexAttributeElement class is yet to be documented. More...

`#include <Inventor/elements/SoGLVertexAttributeElement.h>`

Inheritance diagram for SoGLVertexAttributeElement:

## Public Member Functions
virtual void | init (SoState *state)
void | enableVBO (SoGLRenderAction *action) const
| FIXME: write doc.
void | disableVBO (SoGLRenderAction *action) const
| FIXME: write doc.
void | send (const int index) const
| FIXME: write doc.
Public Member Functions inherited from SoVertexAttributeElement
virtual void | push (SoState *state)
unsigned int | getNumAttributes (void) const
void | applyToAttributes (AttributeApplyFunc *func, void *closure) const
Public Member Functions inherited from SoAccumulatedElement
virtual SbBool | matches (const SoElement *element) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual void | print (FILE *file=stdout) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static const SoGLVertexAttributeElement * | getInstance (SoState *const state)
Static Public Member Functions inherited from SoVertexAttributeElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | add (SoState *const state, SoVertexAttributeData *attribdata)
static const SoVertexAttributeElement * | getInstance (SoState *const state)
Static Public Member Functions inherited from SoAccumulatedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoGLVertexAttributeElement ()
virtual void | addElt (SoVertexAttributeData *attribdata)
| FIXME: write doc.
Protected Member Functions inherited from SoVertexAttributeElement
virtual | ~SoVertexAttributeElement ()
Protected Member Functions inherited from SoAccumulatedElement
virtual | ~SoAccumulatedElement ()
void | clearNodeIds (void)
void | addNodeId (const SoNode *const node)
void | setNodeId (const SoNode *const node)
void | copyNodeIds (const SoAccumulatedElement *copyfrom)
virtual SoElement * | copyMatchInfo (void) const
virtual void | captureThis (SoState *state) const
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members
Public Types inherited from SoVertexAttributeElement
typedef const char * | Key
typedef SoVertexAttributeData * | Type
typedef void | AttributeApplyFunc(const Key &key, const Type &obj, void *closure)
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoAccumulatedElement
SbList< SbUniqueId > | nodeIds
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoGLVertexAttributeElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

## ◆ ~SoGLVertexAttributeElement()

SoGLVertexAttributeElement::~SoGLVertexAttributeElement | ( |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoGLVertexAttributeElement::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getClassStackIndex()

int SoGLVertexAttributeElement::getClassStackIndex | ( | void |  | ) |
| static

This static method returns the state stack index for the class.

## ◆ createInstance()

void * SoGLVertexAttributeElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## ◆ initClass()

void SoGLVertexAttributeElement::initClass | ( | void |  | ) |
| static

Initialize relevant common data for all instances, like the type system.

## ◆ init()

void SoGLVertexAttributeElement::init | ( | SoState * | state | ) |
| virtual

Internal Coin method.

Reimplemented from SoVertexAttributeElement.

## ◆ getInstance()

const SoGLVertexAttributeElement * SoGLVertexAttributeElement::getInstance | ( | SoState *const | state | ) |
| static

Returns a read-only element instance.

## ◆ addElt()

void SoGLVertexAttributeElement::addElt | ( | SoVertexAttributeData * | attribdata | ) |
| protectedvirtual

FIXME: write doc.

Reimplemented from SoVertexAttributeElement.

The documentation for this class was generated from the following files:

- SoGLVertexAttributeElement.h
- SoGLVertexAttributeElement.cpp